LS(1)

NOME
ls - lista conteúdo de diretórios

SINOPSE
ls [OPÇÃO]... [ARQUIVO]...

DESCRIÇÃO

Lista informações sobre os ARQUIVOs (o diretório atual por padrão). Classifica as entradas em ordem alfabética se não for usada nenhuma opção -cftuvSUX nem --sort.

Argumentos obrigatórios para opções longas também o são para opções curtas.

-a, --all
    não ignora entradas começando com .

-A, --almost-all
    não lista as entradas implícitas . e ..

--author
    com -l, emite o autor de cada arquivo

-b, --escape
    emite escapes no estilo C para caracteres não-gráficos

--block-size=TAM
    com -l, escala os tamanhos por TAM ao exibi-los; por exemplo, “--block-size=M”; veja o formato de TAM abaixo

-B, --ignore-backups
    não lista as entradas implícitas terminadas com ~

-c  com -lt: ordena por, e mostra, ctime (hora da última modificação da informação de estado do arquivo); com -l: mostra o ctime e ordena por nome demais casos: ordena por ctime, mais novos primeiro

-C  lista as entradas em colunas

--color[=QUANDO]
    color the output WHEN; more info below

-d, --directory
    lista os diretórios em si, e não seu conteúdo

-D, --dired
    gera a saída projetada para modo “dired” do Emacs

-f  list all entries in directory order

-F, --classify[=WHEN]
    append indicator (one of */=>@|) to entries WHEN

--file-type
    similar, exceto que não anexa “*”

--format=PALAVRA
    across -x, commas -m, horizontal -x, long -l, single-column -1, verbose -l, vertical -C

--full-time
    o mesmo que -l --time-style=full-iso

-g  o mesmo que -l, mas não lista o dono

--group-directories-first
    group directories before files; can be augmented with a --sort option, but any use of --sort=none (-U) disables grouping

-G, --no-group
    em lista longa, não emite os nomes de grupo

-h, --human-readable
    com -l, e/ou -s, emite tamanhos tipo 1K 234M 2G etc.

--si
    similar, mas usa potências de 1000, não de 1024

-H, --dereference-command-line
    segue os links simbólicos listados na linha de comando

--dereference-command-line-symlink-to-dir
    follow each command line symbolic link that points to a directory

--hide=PADRÃO
    não lista entradas implícitas que coincidam com o PADRÃO em sintaxe shell (ignorado por -a ou -A)

--hyperlink[=QUANDO]
    hyperlink file names WHEN

--indicator-style=PALAVRA
    anexa o indicador de tipo no estilo PALAVRA para os nomes das entradas: “none” (nenhum, padrão), “slash” (-p), “file-type” (--file-type), “classify” (-F)

-i, --inode
    emite o número de índice de cada arquivo

-I, --ignore=PADRÃO
    não lista as entradas implícitas que coincidam com o PADRÃO

-k, --kibibytes
    default to 1024-byte blocks for file system usage; used only with -s and per directory totals

-l  usa o formato de lista longa

-L, --dereference
    ao mostrar informações de um link simbólico, mostra as do arquivo ao qual ele referencia, e não do arquivo tipo link em si

-m  preenche toda a largura com uma lista de entradas separadas por vírgula

-n, --numeric-uid-gid
    como -l, mas lista usuário e grupo em IDs numéricos

-N, --literal
    emite nomes de entrada sem apas

-o  como -l, mas não lista informações sobre o grupo

-p, --indicator-style=slash
    anexa o indicador / aos diretórios

-q, --hide-control-chars
    emite ? em vez de caracteres não gráficos

--show-control-chars
    mostra caracteres não gráficos como são (padrão a menos que o programa seja o “ls” e a saída seja um terminal)

-Q, --quote-name
    coloca os nomes das entradas entre aspas duplas

--quoting-style=PALAVRA
    usa estilo de aspas PALAVRA para os nomes das entradas: literal, locale, shell, shell-always, shell-escape, shell-escape-always, c, escape (substitui a variável QUOTING_STYLE)

-r, --reverse
    inverte a ordem na ordenação

-R, --recursive
    lista os subdiretórios recursivamente

-s, --size
    emite o tamanho alocado de cada arquivo, em blocos

-S  ordena por tamanho de arquivo, maior primeiro

--sort=PALAVRA
    sort by WORD instead of name: none (-U), size (-S), time (-t), version (-v), extension (-X), width

--time=PALAVRA
    altera o padrão usando horários de modificação; horário de acesso (-u): atime, access, use; horário de alteração (-c): ctime, status; horário de criação: birth, creation;

    com -l, PALAVRA determina o tempo para mostrar; com --sort=time, ordena por PALAVRA com o mais

--time-style=ESTILO_HORA
    formato de hora/data com -l; veja TIME_STYLE abaixo

-t  ordena por horário, mais novo primário; veja --time

-T, --tabsize=COLS
    presume paradas de tabulação a cada COLS em vez de 8

-u  com -lt: mostra e ordena por horário de acesso com -l: mostra o horário de acesso e ordena por nome; demais casos: ordena por horário de acesso, mais novos primeiro

-U  não ordena; lista entradas na ordem do diretório

-v  ordem natural de números (de versão) com texto

-w, --width=COLS
    define largura saída com COLS. 0 significa sem limite

-x  lista as entradas por linhas em vez de por colunas

-X  ordena alfabeticamente pela extensão da entrada

-Z, --context
    emite qualquer contexto de segurança de cada arquivo

--zero
    end each output line with NUL, not newline

-1  list one file per line

--help
    mostra esta ajuda e sai

--version
    informa a versão e sai

O argumento TAM é uma unidade opcional e inteiro (exemplo: 10K é 10*1024). As unidades são K,M,G,T,P,E,Z,Y (vezes 1024) ou KB,MB,... (vezes 1000). Prefixos binários também podem ser usados: KiB=K, MiB=M e assim por diante.

The TIME_STYLE argument can be full-iso, long-iso, iso, locale, or +FORMAT. FORMAT is interpreted like in date(1). If FORMAT is FORMAT1<newline>FORMAT2, then FORMAT1 applies to non-recent files and FORMAT2 to recent files. TIME_STYLE prefixed with 'posix-' takes effect only outside the POSIX locale. Also the TIME_STYLE environment variable sets the default style to use.

The WHEN argument defaults to 'always' and can also be 'auto' or 'never'.

O uso de cor para distinguir tipos de arquivos é desabilitado por padrão e com --color=never. --color=auto, ls emite códigos de cor apenas quando a saída padrão está conectada a um terminal. A variável de ambiente LS_COLORS pode alterar as configurações. Use o comando dircolors(1) configurá-la.

  Status de saída:

0   se OK,

1   se problemas menores (por exemplo, sem acesso ao subdiretório);

2   se sérios problemas (por exemplo, sem acesso ao argumento de linha de comando).

AUTOR
Escrito por Richard M. Stallman e David MacKenzie.

RELATANDO PROBLEMAS
Página de ajuda do GNU coreutils: <https://www.gnu.org/software/coreutils/>
Relate erros de tradução para <https://translationproject.org/team/pt_BR.html>.

DIREITOS AUTORAIS
Copyright © 2022 Free Software Foundation, Inc. Licença GPLv3+: GNU GPL versão 3 ou posterior <https://gnu.org/licenses/gpl.html>.
Este é um software livre: você é livre para alterá-lo e redistribuí-lo. NÃO HÁ QUALQUER GARANTIA, na máxima extensão permitida em lei.

VEJA TAMBÉM
dircolors(1)

Documentação completa <https://www.gnu.org/software/coreutils/ls>
ou localmente disponível em: info '(coreutils) ls invocation'

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por André Luiz Fassone <lonely_wolf@ig.com.br>, Roberto Selbach Teixeira <robteix@zaz.com.br> e Rafael Fontenelle <rafaelff@gnome.org>.

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).